function RakijaAddon_Loot_onShow(self)
	RakijaAddon_Loot_UpdateAll();
	if(IsMasterLooter())then
		RakijaLootFrame.startStopButton:Enable();
		RakijaLootFrame.startStopTestButton:Enable();
	else
		RakijaLootFrame.startStopButton:Disable();
		RakijaLootFrame.startStopTestButton:Disable();
	end
end

function RakijaAddon_Loot_UpdateAll()
	RakijaAddon_Loot_UpdateChoiceButtons();
	RakijaAddon_Loot_UpdateCurrentItem();
	RakijaAddon_Loot_UpdateHistory();
end


function RakijaAddon_Loot_ItemButton_OnEnter(self)
	if(self.hasItem == 1)then
		GameTooltip:SetOwner(self,"ANCHOR_CURSOR");
		GameTooltip:SetHyperlink(self.itemLink);
		GameTooltip:Show();
	end
end

function RakijaAddon_Loot_ItemButton_OnLeave(self)
	GameTooltip:Hide();
end

function RakijaAddon_Loot_ItemButton_OnClick(self)
	if(self.hasItem == 1)then
		if (IsModifiedClick("CHATLINK")) then
			if (ChatEdit_GetActiveWindow()) then
				ChatEdit_InsertLink(self.itemLink);
			else
				ChatFrame_OpenChat(self.itemLink);
			end
		elseif ( IsModifiedClick("DRESSUP") ) then
			DressUpItemLink(self.itemLink);
		else
			RakijaLootList.selectedButton = self:GetParent().lootItemIndex;
			RakijaAddon_Loot_UpdateChoiceButtons();
			RakijaAddon_Loot_UpdateCurrentItem();
		end
	end

end

function RakijaAddon_Loot_ItemButton_Disable(button)
	button.buttonMain:Disable();
	button.buttonOff:Disable();
	button.buttonPass:Disable();
end

function RakijaAddon_Loot_ItemButton_Enable(button)
	button.buttonMain:Enable();
	button.buttonOff:Enable();
	button.buttonPass:Enable();
end

function RakijaAddon_Loot_ListClick(self,button)
	if(button == "LeftButton")then
		RakijaLootList.selectedButton = self.lootItemIndex;
		RakijaAddon_Loot_UpdateChoiceButtons();
		RakijaAddon_Loot_UpdateCurrentItem();
	end
end

function RakijaAddon_Loot_UpdateVoteButton(self)
	local parent = self:GetParent();

	if(parent.buttonMain == self)then
		parent.buttonMain:SetText(GREEN_FONT_COLOR_CODE.."Main");
	else
		parent.buttonMain:SetText("Main");
	end

	if(parent.buttonOff == self)then
		parent.buttonOff:SetText(GREEN_FONT_COLOR_CODE.."Off");
	else
		parent.buttonOff:SetText("Off");
	end

	if(parent.buttonPass == self)then
		parent.buttonPass:SetText(GREEN_FONT_COLOR_CODE.."Pass");
	else
		parent.buttonPass:SetText("Pass");
	end
end