local GetItemInfoBank = {};
local GetItemInfoDefaultReq = 
{
	itemLink = "";
	itemID = 0;
	returnFnc = function () end;
	returnArgs = {};
};

local GetItemInfo = GetItemInfo;

function GetItemInfo_Event(self,itemID)
	local job;
	for i=#GetItemInfoBank,1,-1 do
		job = GetItemInfoBank[i];
		if(job.itemID == itemID)then
			job.returnFnc(job.itemLink,unpack(job.returnArgs));
			table.remove(GetItemInfoBank,i);
		end
	end
end

function GetItemInfo_AddTask(itemLink,func,...)
	GetItemInfoBank[#GetItemInfoBank + 1] = 
	{
		itemLink = itemLink;
		itemID = GetItemIDFromLink(itemLink);
		returnFnc = func;
		returnArgs = {...};
	};
end